/*
 * dynamodb_reserved_words.h
 *
 *  Created on: Mar 25, 2015
 *      Author: csabaraduly
 */

#ifndef SDK_SRC_SERVICES_DYNAMODB_INTERNAL_DYNAMODB_RESERVED_WORDS_H_
#define SDK_SRC_SERVICES_DYNAMODB_INTERNAL_DYNAMODB_RESERVED_WORDS_H_

#include <string>

namespace aws {

/** Helper class to identify DynamoDB reserved words.
 *
 *  Attributes whose names are reserved words must be substituted with a placeholder.
 */
class DynamoDBReservedWords {
public:
    /** Check whether a string is a reserved name
     *
     * @param[in] word
     * @return @c true if @p word is a DynamoDB reserved word, @c false otherwise
     */
    static bool is_reserved(std::string const& word);

#if 0 // enable if needed
    static bool is_reserved(const char *word);
#endif
};

} /* namespace aws */

#endif /* SDK_SRC_SERVICES_DYNAMODB_INTERNAL_DYNAMODB_RESERVED_WORDS_H_ */
